#include <iostream>
using namespace std;
class Broj{
public:
    unsigned long long a;
    float b;
    Broj() {
        cin >> a;
        b = a;
        while(b > 9) {
            b /= 10;
        }
    }
    Broj(const Broj& n) {
        *this = n;
    }
};
int main()
{
    Broj broj[3];
    if(broj[0].b < broj[1].b) {
        Broj temp(broj[0]);
        broj[0] = broj[1];
        broj[1] = temp;
    }
    if(broj[0].b < broj[2].b) {
        Broj temp(broj[0]);
        broj[0] = broj[2];
        broj[2] = temp;
    }
    if(broj[1].b < broj[2].b) {
        Broj temp(broj[1]);
        broj[1] = broj[2];
        broj[2] = temp;
    }
    cout << broj[0].a << broj[1].a << broj[2].a;
    return 0;
}